org.richfaces.model

## Class NodesTreeSequenceKeyModel<V>

- java.lang.Object
- - javax.faces.model.DataModel<E>
  - - org.ajax4jsf.model.ExtendedDataModel<V>
    - - org.richfaces.model.TreeSequenceKeyModel<V>
      - - org.richfaces.model.NodesTreeSequenceKeyModel<V>

- All Implemented Interfaces:
    Iterable<V>, TreeDataModel<V>
  Direct Known Subclasses:
    ClassicTreeNodeDataModelImpl, SwingTreeNodeDataModelImpl

      public abstract class NodesTreeSequenceKeyModel<V>
      extends TreeSequenceKeyModel<V>

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from interface org.richfaces.model.TreeDataModel

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodesTreeSequenceKeyModel()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreeDataModelTuple` | `createSnapshot()`
    `protected V` | `getRootNode()`
    `void` | `restoreFromSnapshot(TreeDataModelTuple tuple)`
    `protected void` | `setRootNode(V rootNode)`
    `protected abstract V` | `setupChildContext(Object segment)`
    `protected void` | `setupKey(SequenceRowKey key)`

    - ### Methods inherited from class org.richfaces.model.TreeSequenceKeyModel

      `getData, getParentRowKey, getRowCount, getRowData, getRowIndex, getRowKey, isDataAvailable, isRowAvailable, setData, setRowIndex, setRowKey, setRowKeyAndData, walk`

    - ### Methods inherited from class javax.faces.model.DataModel

      `addDataModelListener, getDataModelListeners, getWrappedData, iterator, removeDataModelListener, setWrappedData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.model.TreeDataModel

      `children, getRowKeyConverter, getWrappedData, isLeaf, setWrappedData`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### NodesTreeSequenceKeyModel

          public NodesTreeSequenceKeyModel()

  - ### Method Detail

    - #### getRootNode

          protected V getRootNode()

    - #### setRootNode

          protected void setRootNode(V rootNode)

    - #### setupKey

          protected void setupKey(SequenceRowKey key)

      Specified by:
        `setupKey` in class `TreeSequenceKeyModel<V>`

    - #### setupChildContext

          protected abstract V setupChildContext(Object segment)

    - #### createSnapshot

          public TreeDataModelTuple createSnapshot()

    - #### restoreFromSnapshot

          public void restoreFromSnapshot(TreeDataModelTuple tuple)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.